Fetch Green Dot Retail Locations
curl --request GET \
--url https://api.treasuryprime.com/greendot/location \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/greendot/location"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/greendot/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.treasuryprime.com/greendot/location",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.treasuryprime.com/greendot/location"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.treasuryprime.com/greendot/location")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.treasuryprime.com/greendot/location")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "200 12th St SW",
"city": "Forest Lake",
"customer_fee": "3.74",
"latitude": "45.27678600",
"longitude": "-93.00201300",
"phone": "6514649740",
"retailer_key": "2812",
"retailer_name": "Walmart Supercenter",
"state": "MN",
"store_id": "Walmart Supercenter2274",
"zip_code": "55025"
}
]
}Green Dot
Get Green Dot Locations
GET
/
greendot
/
location
Fetch Green Dot Retail Locations
curl --request GET \
--url https://api.treasuryprime.com/greendot/location \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/greendot/location"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/greendot/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.treasuryprime.com/greendot/location",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.treasuryprime.com/greendot/location"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.treasuryprime.com/greendot/location")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.treasuryprime.com/greendot/location")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "200 12th St SW",
"city": "Forest Lake",
"customer_fee": "3.74",
"latitude": "45.27678600",
"longitude": "-93.00201300",
"phone": "6514649740",
"retailer_key": "2812",
"retailer_name": "Walmart Supercenter",
"state": "MN",
"store_id": "Walmart Supercenter2274",
"zip_code": "55025"
}
]
}Authorizations
basicAuthapiKey
Query Parameters
Response
200 - application/json
A dictionary with a data property that contains a list of up to page_size greendot_location elements, starting after the greendot_location described by page_cursor. If no more greendot_locations are available, the resulting list will be empty.
Was this page helpful?